org.gjt.sp.jedit.gui

## Class ListModelEditor

- java.lang.Object
- - org.gjt.sp.jedit.gui.ListModelEditor

    public class ListModelEditor
    extends java.lang.Object

A dialog that pops up when you click on "Previously Entered Strings" from a HistoryTextField. Allows the user to edit previously entered strings. Patch# 1818140

Since:
  jEdit 4.3

### Constructor Summary

Constructors
Constructor and Description
`ListModelEditor()`

### Method Summary

Methods
`void` `open(javax.swing.DefaultListModel listModel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListModelEditor

    public ListModelEditor()

### Method Detail

#### open

    public void open(javax.swing.DefaultListModel listModel)